package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.service.IToSysRoleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

@RefreshScope
@RestController
@RequestMapping("/")
@Api(value = "运营角色 API", description = "运营角色 API")
public class SysRoleController extends BaseController {

    @Autowired
    private IToSysRoleService iToSysRoleService;

    @RequestMapping(value = "/role/list", method = RequestMethod.POST)
    @ApiOperation(value = "获取所有角色", notes = "获取所有角色")
    @ApiImplicitParams({
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "parameter", value = "pageNum第几页;pageSize一页多少行;roleName角色名称(可选)")
    })
    public ResponseBean getRoleAll(@RequestBody String parameter,
                                   HttpSession session){
        ResponseBean responseBean = new ResponseBean();
        responseBean = iToSysRoleService.getAll(parameter);
        return responseBean;
    }

    @RequestMapping(value = "/role/add", method = RequestMethod.POST)
    @ApiOperation(value = "添加角色", notes = "添加角色")
    @ApiImplicitParams({
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "header", name = "X-Auth-Token", value = "Token"),
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "parameter", value = "roleName角色名称;description描述;menuArray菜单id集合")
    })
    public ResponseBean addRole(@RequestBody String parameter,
                                   HttpSession session){
        ResponseBean responseBean = new ResponseBean();
        UserElement userElement = getUserElement(session);
        responseBean = iToSysRoleService.addRole(parameter, userElement);
        return responseBean;
    }


}
