package com.community.huiju.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.service.RoleServiceI;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * @author FXF
 * @date 2019-01-16
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "物业端角色API", description = "物业端角色API")
public class RoleController extends BaseController {
	
	@Autowired
	private RoleServiceI roleService;
	
	@ApiOperation(value = "根据搜索条件获取角色列表", notes = "根据搜索条件获取角色列表")
	@ApiImplicitParams({
			@ApiImplicitParam(paramType = "query", dataType = "String", name = "roleName", value = "帖子标题（模糊查询）"),
			@ApiImplicitParam(paramType = "query", dataType = "integer", name = "pageNum", value = "分页第几页"),
			@ApiImplicitParam(paramType = "query", dataType = "integer", name = "pageSize", value = "分页每页长度")
	})
	@RequestMapping(value = "/roles",method = RequestMethod.GET)
	public ResponseBean getInfo(@RequestParam(value = "roleName", required = false) String roleName,
	                            @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
	                            @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize,
	                            HttpSession session) {
		ResponseBean responseBean = new ResponseBean();
		UserElement userElement = getUserElement(session);
		responseBean = roleService.getRoleList(roleName,userElement,pageNum,pageSize);
		return responseBean;
	}
}
